Subject: [MMUSIC] [Technical Errata Reported] RFC5547 (3190)

From: RFC Errata System <[email-masked]>
Date: Thu, 12 Apr 2012 09:06:31 -0700 (PDT)

The following errata report has been submitted for RFC5547,
"A Session Description Protocol (SDP) Offer/Answer Mechanism to Enable File Transfer".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5547&eid=3190

--------------------------------------
Type: Technical
Reported by: Bruno CHATRAS <[email-masked]>

Section: GLOBAL

Original Text
-------------
Section 9.1., paragraph 7:
OLD:

    --boundary71
    Content-Type: application/sdp
    Content-Length: [length of SDP]

NEW:

    --boundary71
    Content-Type: application/sdp

Section 9.1., paragraph 9:
OLD:

    --boundary71
    Content-Type: image/jpeg
    Content-Transfer-Encoding: binary
    Content-ID: <[email-masked]>
    Content-Length: [length of image]
    Content-Disposition: icon

NEW:

    --boundary71
    Content-Type: image/jpeg
    Content-Transfer-Encoding: binary
    Content-ID: <[email-masked]>
    Content-Disposition: icon

Section 9.2., paragraph 24:
OLD:

    --boundary71
    Content-Type: application/sdp
    Content-Length: [length of SDP]

NEW:

    --boundary71
    Content-Type: application/sdp

Section 9.2., paragraph 26:
OLD:

    --boundary71
    Content-Type: image/jpeg
    Content-Transfer-Encoding: binary
    Content-ID: <[email-masked]>
    Content-Length: [length of image]
    Content-Disposition: icon

NEW:

    --boundary71
    Content-Type: image/jpeg
    Content-Transfer-Encoding: binary
    Content-ID: <[email-masked]>
    Content-Disposition: icon

Corrected Text
--------------

Notes
-----
A Content-Length header is shown for a body-part within a multipart body. But Content-Length is an HTTP/SIP header, not a IANA-registered MIME header and should therefore not appear at that location in valid examples. The length of a body part within a multipart body is determined by MIME framing. A Content-Length header found for a body-part within a multipart body is meaningless and should be ignored.

This was discussed on both the SIP Implementors and SIP Core mailing lists.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5547 (draft-ietf-mmusic-file-transfer-mech-11)
--------------------------------------
Title               : A Session Description Protocol (SDP) Offer/Answer Mechanism to Enable File Transfer
Publication Date    : May 2009
Author(s)           : M. Garcia-Martin, M. Isomaki, G. Camarillo, S. Loreto, P. Kyzivat
Category            : PROPOSED STANDARD
Source              : Multiparty Multimedia Session Control
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG

---

From: "Miguel A. Garcia" <[email-masked]>
Date: Mon, 16 Apr 2012 11:10:45 +0200

Hi:

According to the discussion in SIPCORE, I agree with the reported errata. 
It should be moved to status "verified".

Thanks to Bruno and Paul for reporting it.

/Miguel

On 12/04/2012 18:06, RFC Errata System wrote:
> Reported by: Bruno CHATRAS<[email-masked]>
>
> Section: GLOBAL
>
> Original Text
> -------------
>      Content-ID:<[email-masked]>
>
>      Content-ID:<[email-masked]>
>
>      Content-ID:<[email-masked]>
>
>      Content-ID:<[email-masked]>
>

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain

---

From: "Miguel A. Garcia" <[email-masked]>
Date: Mon, 16 Apr 2012 11:15:27 +0200

Resending with Paul's correct e-mail address.

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain